Name field in custom query creation/edit form is not marked as required

2024-11-17 09:40 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 5.1.5   

Resolution: Fixed Affected version:  

Description

The name field in the custom query creation/edit form is a required field but lacks the visual indication (red asterisk) to show it is

mandatory.

The following patch fixes the issue:

diff --git a/app/views/queries/_form.html.erb b/app/views/queries/_form.html.erb

index 27391e8ef..5f7c43502 100644

--- a/app/views/queries/_form.html.erb

+++ b/app/views/queries/_form.html.erb

@@ -6,7 +6,7 @@

 <%= hidden_field_tag 'calendar', '1' if params[:calendar] %>

 <%= hidden_field_tag 'admin_projects', '1' if params[:admin_projects] %>

-<p><label for="query_name"><%=l(:field_name)%></label>

+<p><label for="query_name"><%=l(:field_name)%> <span class="required">*</span></label>

 <%= text_field 'query', 'name', :size => 80 %></p>

 <p><label for="query_description"><%=l(:field_description)%></label>

 <%= text_field 'query', 'description', :size => 80 %></p>
Associated revisions

Revision 23288 - 2024-11-17 12:38 - Marius BĂLTEANU

Marks name field in custom query creation/edit form as required (#41778).

Patch by Go MAEDA (user:maeda).

Revision 23289 - 2024-11-18 07:59 - Marius BĂLTEANU

Merge r23288 from trunk to 6.0-stable (#41778).

Revision 23290 - 2024-11-18 07:59 - Marius BĂLTEANU

Merge r23288 from trunk to 5.1-stable (#41778).

History

#1 - 2024-11-17 12:39 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

- Target version set to 5.1.5

- Resolution set to Fixed

Committed, thanks!

#2 - 2024-11-18 08:00 - Marius BĂLTEANU

- Status changed from Resolved to Closed
